Subject: Re: [Dri-devel] Re: PPC Lockup (ati-pcigart-branch)

From: Gareth Hughes <[email-masked]>
Date: Sat, 20 Jan 2001 11:45:59 +1100

Dan Malek wrote:
>
> Hmmm....vmalloc() definitely works fine, we use it all of the
> time in the kernel.  The only way it would hang is if you call
> it too soon, or if the number of pages was too large.

Yes.

> > .....and we really should be using
> > vmalloc_32(...) instead (which will result in exactly the same code, but
> > it is cleaner).
>
> It's no longer the same.  Linux has the "highmem" configuration now,
> and vmalloc() allows that to be used, while vmalloc32() does not.

If you look, we've just included the vmalloc_32() code inline, using
__vmalloc().  We're not using the regular highmem vmalloc().

-- Gareth

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/